[arch-commits] Commit in (5 files)

Andrea Scarpino andrea at archlinux.org
Thu Jan 7 16:24:52 EST 2010


    Date: Thursday, January 7, 2010 @ 16:24:52
  Author: andrea
Revision: 62381

renamed libattica to attica

Added:
  attica/
  attica/kde-unstable/
  attica/kde-unstable/PKGBUILD
  attica/repos/
  attica/trunk/

----------+
 PKGBUILD |   27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

Added: attica/kde-unstable/PKGBUILD
===================================================================
--- attica/kde-unstable/PKGBUILD	                        (rev 0)
+++ attica/kde-unstable/PKGBUILD	2010-01-07 21:24:52 UTC (rev 62381)
@@ -0,0 +1,27 @@
+# $Id: $
+# Maintainer: Andrea Scarpino <andrea at archlinux.org>
+
+pkgname=attica
+pkgver=0.1.1
+pkgrel=1
+pkgdesc='A library to access Open Collaboration Service providers'
+arch=('i686' 'x86_64')
+url='http://www.kde.org'
+license=('LGPL')
+depends=('qt' 'openssl')
+makedepends=('cmake')
+source=("http://download.kde.org/stable/${pkgname}/${pkgname}-${pkgver}.tar.bz2")
+md5sums=('4011ebc19fe6b12b8de9f10ccc341125')
+
+build() {
+  cd ${srcdir}
+  mkdir build
+  cd build
+  cmake ../${pkgname}-${pkgver} \
+    -DCMAKE_BUILD_TYPE=Release \
+    -DCMAKE_INSTALL_PREFIX=/usr \
+    -DCMAKE_SKIP_RPATH=ON \
+    -DCMAKE_{SHARED,MODULE,EXE}_LINKER_FLAGS='-Wl,--no-undefined -Wl,--as-needed'
+  make || return 1
+  make DESTDIR=${pkgdir} install
+}



More information about the arch-commits mailing list